probe::nfs.proc.write
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.proc.write — NFS client synchronously writes file to server

## Synopsis

    nfs.proc.write

## Values

`prot`

  transfer protocol

`server_ip`

  IP address of server

`bitmask1`

  V4 bitmask representing the set of attributes supported on this filesystem

`bitmask0`

  V4 bitmask representing the set of attributes supported on this filesystem

`offset`

  the file offset

`size`

  read bytes in this execution

`flags`

  used to set task->tk_flags in rpc_init_task function

`version`

  NFS version

## Description

All the nfs.proc.write kernel functions were removed in kernel commit 200baa in December 2006, so these probes do not exist on Linux 2.6.21 and newer kernels.

Prev | Up | Next
probe::nfs.proc.rename_setup | Home | probe::nfs.proc.write_done